
#ifndef CLIENT_H
#define CLIENT_H

ClientNode *FindClientByWindow(Window w);
ClientNode *FindClientByParent(Window p);

void AddClientWindow(Window w, int alreadyMapped);
void RemoveClient(ClientNode *np);
void ReleaseClients();

void MinimizeClient(ClientNode *np);
void RestoreClient(ClientNode *np);
void MaximizeClient(ClientNode *np);
void FocusClient(ClientNode *np);
void RefocusClient();
void MoveClient(ClientNode *np);
void ResizeClient(ClientNode *np, BorderActionType action);
void DeleteClient(ClientNode *np);

void ReadClientHints(ClientNode *np);
void ReadMotifHints(ClientNode *np);

void SetShape(ClientNode *np);

void UnmapClient(XUnmapEvent *e);
void MapClient(XMapEvent *e);

void SendConfigureEvent(ClientNode *np);

#endif

