/****************************************************************************
 ****************************************************************************/

#ifndef ENUM_H
#define ENUM_H

/****************************************************************************
 ****************************************************************************/
typedef enum {
	PROT_NONE       = 0,
	PROT_DELETE     = 1,
	PROT_TAKE_FOCUS = 2
} ClientProtocolType;

/****************************************************************************
 ****************************************************************************/
typedef enum {
	BORDER_NONE    = 0,
	BORDER_OUTLINE = 1,
	BORDER_TITLE   = 2,
	BORDER_MIN     = 4,
	BORDER_MAX     = 8,
	BORDER_CLOSE   = 16,
	BORDER_RESIZE  = 32,
	BORDER_MOVE    = 64
} BorderFlags;

/****************************************************************************
 ****************************************************************************/
typedef enum {
	BA_NONE      = 0,
	BA_RESIZE    = 1,
	BA_MOVE      = 2,
	BA_CLOSE     = 3,
	BA_MAXIMIZE  = 4,
	BA_MINIMIZE  = 5,
	BA_RESIZE_N  = 0x10,
	BA_RESIZE_S  = 0x20,
	BA_RESIZE_E  = 0x40,
	BA_RESIZE_W  = 0x80
} BorderActionType;

/****************************************************************************
 ****************************************************************************/
typedef enum {
	TOK_INVALID,
	TOK_JWM,
	TOK_MENU,
	TOK_EXIT,
	TOK_RESTART,
	TOK_PROGRAM,
	TOK_TRAYFONT,
	TOK_MENUFONT,
	TOK_ROOTMENU,
	TOK_SEPARATOR,
	TOK_TEXTCOLOR,
	TOK_BORDERFONT,
	TOK_BORDERCOLOR,
	TOK_ACTIVETEXTCOLOR,
	TOK_ACTIVEBORDERCOLOR
} TokenType;

/****************************************************************************
 ****************************************************************************/
typedef enum {
	COLOR_MOUSE_FOREGROUND = 0,
	COLOR_MOUSE_BACKGROUND = 1,
	COLOR_BORDER = 2,
	COLOR_BORDER_TEXT = 3,
	COLOR_BORDER_OUTLINE = 4,
	COLOR_ACTIVE_BORDER = 5,
	COLOR_ACTIVE_BORDER_TEXT = 6,
	COLOR_COUNT = 7
} ColorType;

#endif

